GRDCTL(1)

NAME
grdctl - Command line tool for configuring GNOME Remote Desktop

SYNOPSIS

grdctl [OPTION...] [COMMAND] [SUBCOMMAND...]

DESCRIPTION

grdctl provides methods for configuring the GNOME Remote Desktop service, for example setting credentials.

OPTIONS

--help
    Show help text.

GENERAL COMMANDS

status
    Show current status.

RDP COMMANDS

rdp enable
    Enable the RDP backend.

rdp disable
    Disable the RDP backend.

rdp set-auth-methods AUTH-METHOD...
    Set a comma separated list of authentication methods. Available methods are credentials and kerberos. The kerberos method is only supported by the headless and screen share runtime modes. At least one auth method must be set.

rdp set-tls-cert TLS-CERT
    Set path to TLS certificate.

rdp set-tls-key TLS-KEY
    Set path to TLS key.

rdp set-kerberos-keytab KERBEROS-KEY-TAB
    Set the path to a Kerberos keytab. When configured with the kerberos auth method, this keytab will be used for authenticating remote users.

rdp set-credentials USERNAME PASSWORD
    Set username and password credentials.

rdp clear-credentials
    Clear username and password credentials.

rdp enable-view-only
    Disable remote control of input devices.

rdp disable-view-only
    Enable remote control of input devices.

BUGS

The bug tracker can be reached by visiting the website https://gitlab.gnome.org/GNOME/gnome-remote-desktop/issues. Before sending a bug report, please verify that you have the latest version of gnome-remote-desktop. Many bugs (major and minor) are fixed at each release, and if yours is out of date, the problem may already have been solved.